r2993 - in trunk/BOOK: . gnome/core introduction/welcome

randy at linuxfromscratch.org randy at linuxfromscratch.org
Mon Nov 22 11:27:43 PST 2004


Author: randy
Date: 2004-11-22 12:27:40 -0700 (Mon, 22 Nov 2004)
New Revision: 2993

Added:
   trunk/BOOK/gnome/core/gnome-desktop-file-utils.xml
Modified:
   trunk/BOOK/general.ent
   trunk/BOOK/gnome/core/core.xml
   trunk/BOOK/gnome/core/gconf.xml
   trunk/BOOK/gnome/core/gnome-mime-data.xml
   trunk/BOOK/gnome/core/libbonobo.xml
   trunk/BOOK/gnome/core/orbit2.xml
   trunk/BOOK/introduction/welcome/changelog.xml
Log:
Updated to ORBit2-2.12.0, libbonobo-2.8.0, GConf-2.8.1, GNOME-MIME-Data-2.4.1

Modified: trunk/BOOK/general.ent
===================================================================
--- trunk/BOOK/general.ent	2004-11-21 19:36:27 UTC (rev 2992)
+++ trunk/BOOK/general.ent	2004-11-22 19:27:40 UTC (rev 2993)
@@ -1,8 +1,8 @@
-<!ENTITY day          "21">
+<!ENTITY day          "22">
 <!ENTITY month        "11">
 <!ENTITY year         "2004">
 <!ENTITY version      "svn-&year;&month;&day;">
-<!ENTITY releasedate  "November &day;st, &year;">
+<!ENTITY releasedate  "November &day;nd, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "cvs">                  <!-- cvs|[release #] -->
 <!ENTITY lfs-version  "testing">              <!-- stable|testing|unstable] -->
@@ -276,68 +276,68 @@
 
 <!-- Part X -->
 <!-- Chapter 30 -->
-<!ENTITY gnome-version                "2.6">
-<!ENTITY ORBit2-version               "2.10.2">
-<!ENTITY libbonobo-version            "2.6.2">
-<!ENTITY GConf-version                "2.6.2">
-<!ENTITY gnome-mime-data-version      "2.4.1">
-<!ENTITY gnome-vfs-version            "2.6.1.1">
-<!ENTITY libgnome-version             "2.6.1.1">
-<!ENTITY libgnomecanvas-version       "2.6.1.1">
-<!ENTITY libbonoboui-version          "2.6.1">
-<!ENTITY gnome-icon-theme-version     "1.2.3">
-<!ENTITY gnome-keyring-version        "0.2.1">
-<!ENTITY libgnomeui-version           "2.6.1.1">
+<!ENTITY gnome-version                "2.8">
+<!ENTITY ORBit2-version               "2.12.0">
+<!ENTITY libbonobo-version            "2.8.0">
+<!ENTITY GConf-version                "2.8.1">
+<!ENTITY gnome-mime-data-version      "2.4.2">
+<!ENTITY gnome-vfs-version            "2.8.3">
+<!ENTITY libgnome-version             "2.8.0">
+<!ENTITY libgnomecanvas-version       "2.8.0">
+<!ENTITY libbonoboui-version          "2.8.0">
+<!ENTITY gnome-icon-theme-version     "2.8.0">
+<!ENTITY gnome-keyring-version        "0.4.0">
+<!ENTITY libgnomeui-version           "2.8.0">
 <!ENTITY gtk-engines-version          "2.2.0">
-<!ENTITY gnome-themes-version         "2.6.2">
+<!ENTITY gnome-themes-version         "2.8.1">
 <!ENTITY scrollkeeper-version         "0.3.14">
-<!ENTITY gnome-desktop-version        "2.6.2">
-<!ENTITY libwnck-version              "2.6.2">
-<!ENTITY gnome-panel-version          "2.6.2">
-<!ENTITY gnome-session-version        "2.6.2">
+<!ENTITY gnome-desktop-version        "2.8.1">
+<!ENTITY libwnck-version              "2.8.1">
+<!ENTITY gnome-panel-version          "2.8.1">
+<!ENTITY gnome-session-version        "2.8.1">
 <!ENTITY vte-version                  "0.11.11">
-<!ENTITY gnome-terminal-version       "2.6.1">
-<!ENTITY libgtop-version              "2.6.0">
-<!ENTITY gail-version                 "1.6.6">
-<!ENTITY gnome-applets-version        "2.6.2">
-<!ENTITY eel-version                  "2.6.2">
-<!ENTITY nautilus-version             "2.6.3">
-<!ENTITY control-center-version       "2.6.1">
+<!ENTITY gnome-terminal-version       "2.8.0">
+<!ENTITY libgtop-version              "2.8.1">
+<!ENTITY gail-version                 "1.8.0">
+<!ENTITY gnome-applets-version        "2.8.1">
+<!ENTITY eel-version                  "2.8.2">
+<!ENTITY nautilus-version             "2.8.2">
+<!ENTITY control-center-version       "2.8.1">
 
 <!-- Chapter 31 -->
-<!ENTITY libgnomeprint-version        "2.6.1">
-<!ENTITY libgnomeprintui-version      "2.6.1">
-<!ENTITY gal-version                  "1.99.11">
-<!ENTITY gtkhtml-version              "3.0.10">
+<!ENTITY libgnomeprint-version        "2.8.0.1">
+<!ENTITY libgnomeprintui-version      "2.8.0">
+<!ENTITY gal-version                  "2.2.3">
+<!ENTITY gtkhtml-version              "3.2.3">
 <!ENTITY libgtkhtml-version           "2.6.2">
-<!ENTITY yelp-version                 "2.6.1">
-<!ENTITY bug-buddy-version            "2.6.1">
-<!ENTITY gtksourceview-version        "1.0.1">
-<!ENTITY gedit-version                "2.6.1">
-<!ENTITY eog-version                  "2.6.1">
-<!ENTITY ggv-version                  "2.6.1">
-<!ENTITY file-roller-version          "2.6.1">
-<!ENTITY gconf-editor-version         "2.6.1">
-<!ENTITY gnome-utils-version          "2.6.2">
-<!ENTITY gnome-system-monitor-version "2.6.0">
-<!ENTITY gnome-media-version          "2.6.1">
-<!ENTITY nautilus-media-version       "0.8.0">
-<!ENTITY gnome-netstatus-version      "2.6.1">
-<!ENTITY gcalctool-version            "4.3.51">
-<!ENTITY gpdf-version                 "0.131">
-<!ENTITY gucharmap-version            "1.4.1">
-<!ENTITY nautilus-cd-burner-version   "2.6.1">
-<!ENTITY zenity-version               "2.6.2">
-<!ENTITY gnome-speech-version         "0.3.2">
-<!ENTITY at-spi-version               "1.4.2">
-<!ENTITY gnome-mag-version            "0.10.11">
-<!ENTITY gnopernicus-version          "0.8.4">
-<!ENTITY gok-version                  "0.10.2">
-<!ENTITY epiphany-version             "1.2.5">
+<!ENTITY yelp-version                 "2.6.4">
+<!ENTITY bug-buddy-version            "2.8.0">
+<!ENTITY gtksourceview-version        "1.1.1">
+<!ENTITY gedit-version                "2.8.1">
+<!ENTITY eog-version                  "2.8.1">
+<!ENTITY ggv-version                  "2.8.0">
+<!ENTITY file-roller-version          "2.8.3">
+<!ENTITY gconf-editor-version         "2.8.2">
+<!ENTITY gnome-utils-version          "2.8.1">
+<!ENTITY gnome-system-monitor-version "2.8.0">
+<!ENTITY gnome-media-version          "2.8.0">
+<!ENTITY nautilus-media-version       "0.8.1">
+<!ENTITY gnome-netstatus-version      "2.8.0">
+<!ENTITY gcalctool-version            "4.4.20">
+<!ENTITY gpdf-version                 "2.8.0">
+<!ENTITY gucharmap-version            "1.4.2">
+<!ENTITY nautilus-cd-burner-version   "2.8.5">
+<!ENTITY zenity-version               "2.8.1">
+<!ENTITY gnome-speech-version         "0.3.5">
+<!ENTITY at-spi-version               "1.6.0">
+<!ENTITY gnome-mag-version            "0.11.10">
+<!ENTITY gnopernicus-version          "0.9.17">
+<!ENTITY gok-version                  "0.11.16">
+<!ENTITY epiphany-version             "1.4.5">
 <!ENTITY gnomemeeting-version         "1.0.2">
-<!ENTITY gnome-games-version          "2.6.1">
-<!ENTITY gnome2-user-docs-version     "2.6.0.1">
-<!ENTITY gdm-version                  "2.6.0.2">
+<!ENTITY gnome-games-version          "2.8.1">
+<!ENTITY gnome2-user-docs-version     "2.8.1">
+<!ENTITY gdm-version                  "2.6.0.6">
 
 <!-- Chapter 32 -->
 <!ENTITY ORBit-version                "0.5.17">

Modified: trunk/BOOK/gnome/core/core.xml
===================================================================
--- trunk/BOOK/gnome/core/core.xml	2004-11-21 19:36:27 UTC (rev 2992)
+++ trunk/BOOK/gnome/core/core.xml	2004-11-22 19:27:40 UTC (rev 2993)
@@ -17,6 +17,7 @@
 <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="orbit2.xml"/>
 <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="libbonobo.xml"/>
 <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gconf.xml"/>
+<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gnome-desktop-file-utils.xml"/>
 <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gnome-mime-data.xml"/>
 <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gnome-vfs.xml"/>
 <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="libgnome.xml"/>

Modified: trunk/BOOK/gnome/core/gconf.xml
===================================================================
--- trunk/BOOK/gnome/core/gconf.xml	2004-11-21 19:36:27 UTC (rev 2992)
+++ trunk/BOOK/gnome/core/gconf.xml	2004-11-22 19:27:40 UTC (rev 2993)
@@ -6,10 +6,10 @@
 
 <!ENTITY GConf-download-http "http://ftp.gnome.org/pub/GNOME/sources/GConf/2.6/GConf-&GConf-version;.tar.bz2">
 <!ENTITY GConf-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/GConf/2.6/GConf-&GConf-version;.tar.bz2">
-<!ENTITY GConf-size "1.4 MB">
-<!ENTITY GConf-buildsize "27.3 MB">
-<!ENTITY GConf-time "0.56 SBU">
-
+<!ENTITY GConf-md5sum "b1173cbe33404bcbcc15710ce2a28f67">
+<!ENTITY GConf-size "1.7 MB">
+<!ENTITY GConf-buildsize "27 MB">
+<!ENTITY GConf-time "0.44 SBU">
 ]>
 
 <sect1 id="GConf" xreflabel="GConf-&GConf-version;">
@@ -31,6 +31,7 @@
 url="&GConf-download-http;"/></para></listitem>
 <listitem><para>Download (FTP): <ulink
 url="&GConf-download-ftp;"/></para></listitem>
+<listitem><para>Download MD5 sum: &GConf-md5sum;</para></listitem>
 <listitem><para>Download size: &GConf-size;</para></listitem>
 <listitem><para>Estimated Disk space required:
 &GConf-buildsize;</para></listitem>
@@ -40,16 +41,15 @@
 
 <sect3><title><application>GConf</application> dependencies</title>
 <sect4><title>Required</title>
-<para>
-<xref linkend="ORBit2"/>,
-<xref linkend="GTK2"/> and
-<xref linkend="libxml2"/>
-</para></sect4>
+<para><xref linkend="ORBit2"/>, 
+<xref linkend="GTK2"/> and 
+<xref linkend="libxml2"/></para>
+</sect4>
+
 <sect4><title>Optional</title>
-<para>
-<xref linkend="gtk-doc"/> and
-<xref linkend="docbook-utils"/>
-</para></sect4>
+<para><xref linkend="gtk-doc"/> and 
+<xref linkend="docbook-utils"/></para>
+</sect4>
 </sect3>
 
 </sect2>
@@ -62,7 +62,7 @@
 
 <screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
     --libexecdir=`pkg-config --variable=prefix ORBit-2.0`/sbin \
-    --sysconfdir=/etc/gnome --disable-gtk-doc &&
+    --sysconfdir=/etc/gnome &&
 make &&
 make install</command></userinput></screen>
 
@@ -77,22 +77,26 @@
 <filename class="directory">$GNOME_PREFIX/libexec</filename>.</para>
 
 <para><parameter>--sysconfdir=/etc/gnome</parameter>: This switch
-puts configuration files in <filename class="directory">/etc/gnome</filename> 
+puts <application><acronym>GNOME</acronym>-2</application> configuration files 
+in <filename class="directory">/etc/gnome</filename> 
 instead of <filename class="directory">$GNOME_PREFIX/etc</filename>.  This 
 installation controls all future installations of schemas. If you change the 
 location (which includes eliminating this parameter), it 
-<emphasis>must</emphasis> be consistent for every subsequent installation.</para>
+<emphasis>must</emphasis> be consistent for every subsequent 
+<application><acronym>GNOME</acronym>-2</application> installation.</para>
 
-<para><option>--disable-gtk-doc</option>: This switch prevents the rebuilding 
-of the documentation during the <command>make</command> command.</para>
-
 </sect2>
 
 <sect2>
 <title>Contents</title>
 
 <para>The <application>GConf</application> package contains 
-<filename>libgconf</filename> libraries.</para>
+<command>gconfd-2</command>, 
+<command>gconf-sanity-check-2</command>, 
+<command>gconftool-2</command>, 
+<command>gconf-merge-tree</command>, 
+<filename class='libraryfile'>libgconf-2</filename> and 
+<filename class='libraryfile'>gconfbackend</filename> libraries.</para>
 
 </sect2>
 

Added: trunk/BOOK/gnome/core/gnome-desktop-file-utils.xml
===================================================================
--- trunk/BOOK/gnome/core/gnome-desktop-file-utils.xml	2004-11-21 19:36:27 UTC (rev 2992)
+++ trunk/BOOK/gnome/core/gnome-desktop-file-utils.xml	2004-11-22 19:27:40 UTC (rev 2993)
@@ -0,0 +1,25 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
+   "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+]>
+
+<sect1 id="GNOME-desktop-file-utils">
+<sect1info>
+<othername>$LastChangedBy$</othername>
+<date>$Date$</date>
+</sect1info>
+<?dbhtml filename="gnome-desktop-file-utils.html"?>
+<title>desktop-file-utils-&desktop-file-utils-version;</title>
+
+<para>The <xref linkend="desktop-file-utils"/> package is located in 
+Chapter 10 – General Utilities, however it is now required by 
+<application><acronym>GNOME</acronym>-2</application> starting with version 
+2.8. <application>desktop-file-utils</application> is not a direct dependency 
+of any <application><acronym>GNOME</acronym>-2</application> package, 
+therefore the package is mentioned within the 
+<application><acronym>GNOME</acronym>-2</application> Core Packages chapter to 
+ensure it is installed.</para>
+
+</sect1>


Property changes on: trunk/BOOK/gnome/core/gnome-desktop-file-utils.xml
___________________________________________________________________
Name: svn:keywords
   + LastChangedBy Date

Modified: trunk/BOOK/gnome/core/gnome-mime-data.xml
===================================================================
--- trunk/BOOK/gnome/core/gnome-mime-data.xml	2004-11-21 19:36:27 UTC (rev 2992)
+++ trunk/BOOK/gnome/core/gnome-mime-data.xml	2004-11-22 19:27:40 UTC (rev 2993)
@@ -6,10 +6,10 @@
 
 <!ENTITY gnome-mime-data-download-http "http://ftp.gnome.org/pub/GNOME/sources/gnome-mime-data/2.4/gnome-mime-data-&gnome-mime-data-version;.tar.bz2">
 <!ENTITY gnome-mime-data-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gnome-mime-data/2.4/gnome-mime-data-&gnome-mime-data-version;.tar.bz2">
-<!ENTITY gnome-mime-data-size "608 KB">
-<!ENTITY gnome-mime-data-buildsize "6.2 MB">
-<!ENTITY gnome-mime-data-time "0.01 SBU">
-
+<!ENTITY gnome-mime-data-md5sum "37242776b08625fa10c73c18b790e552">
+<!ENTITY gnome-mime-data-size "849 KB">
+<!ENTITY gnome-mime-data-buildsize "11 MB">
+<!ENTITY gnome-mime-data-time "0.04 SBU">
 ]>
 
 <sect1 id="gnome-mime-data" xreflabel="GNOME MIME Data-&gnome-mime-data-version;">
@@ -21,10 +21,12 @@
 <title>GNOME MIME Data-&gnome-mime-data-version;</title>
 
 <sect2>
-<title>Introduction to <application><acronym>GNOME</acronym> <acronym>MIME</acronym> Data</application></title>
+<title>Introduction to <application><acronym>GNOME</acronym> 
+<acronym>MIME</acronym> Data</application></title>
 
-<para>The <application><acronym>GNOME</acronym> <acronym>MIME</acronym> Data</application> package contains the base set of file types
-and applications for <application><acronym>GNOME</acronym></application>.</para>
+<para>The <application><acronym>GNOME</acronym> <acronym>MIME</acronym> 
+Data</application> package contains the base set of file types and 
+applications for <application><acronym>GNOME</acronym>-2</application>.</para>
 
 <sect3><title>Package information</title>
 <itemizedlist spacing='compact'>
@@ -32,6 +34,7 @@
 url="&gnome-mime-data-download-http;"/></para></listitem>
 <listitem><para>Download (FTP): <ulink
 url="&gnome-mime-data-download-ftp;"/></para></listitem>
+<listitem><para>Download MD5 sum: &gnome-mime-data-md5sum;</para></listitem>
 <listitem><para>Download size: &gnome-mime-data-size;</para></listitem>
 <listitem><para>Estimated Disk space required:
 &gnome-mime-data-buildsize;</para></listitem>
@@ -39,16 +42,27 @@
 &gnome-mime-data-time;</para></listitem></itemizedlist>
 </sect3>
 
+<sect3><title><application><acronym>GNOME</acronym> <acronym>MIME</acronym> 
+Data</application> dependencies</title>
+<sect4><title>Required</title>
+<para><xref linkend="perl-modules"/>: XML-Parser</para>
+</sect4>
+</sect3>
+
 </sect2>
 
 <sect2>
-<title>Installation of <application><acronym>GNOME</acronym> <acronym>MIME</acronym> Data</application></title>
+<title>Installation of <application><acronym>GNOME</acronym> 
+<acronym>MIME</acronym> Data</application></title>
 
-<para>Install <application><acronym>GNOME</acronym> <acronym>MIME</acronym> Data</application> by running the following commands:</para>
+<para>Install <application><acronym>GNOME</acronym> <acronym>MIME</acronym> 
+Data</application> by running the following commands:</para>
 
 <screen><userinput><command>./configure --prefix=$GNOME_PREFIX --sysconfdir=/etc/gnome &&
 make &&
-make install</command></userinput></screen>
+make install &&
+install -d -m755 $GNOME_PREFIX/man/man5 &&
+install -m644 man/gnome-vfs-mime.5 $GNOME_PREFIX/man/man5</command></userinput></screen>
 
 </sect2>
 
@@ -56,8 +70,8 @@
 <title>Command explanations</title>
 
 <para><parameter>--sysconfdir=/etc/gnome</parameter>: This switch
-puts configuration files in <filename class="directory">/etc/gnome</filename> instead of
-<filename class="directory">$GNOME_PREFIX/etc</filename>.</para>
+puts configuration files in <filename class="directory">/etc/gnome</filename> 
+instead of <filename class="directory">$GNOME_PREFIX/etc</filename>.</para>
 
 </sect2>
 
@@ -66,7 +80,6 @@
 
 <para>The <application><acronym>GNOME</acronym> <acronym>MIME</acronym>
 Data</application> package contains
-<filename>$GNOME_PREFIX/share/icons</filename>,
 <filename>$GNOME_PREFIX/share/application-registry</filename> and
 <filename>$GNOME_PREFIX/share/mime-info</filename>.</para>
 
@@ -74,14 +87,13 @@
 
 <sect2><title>Description</title>
 
-<sect3><title>icons</title>
-<para><filename>icons</filename> contains all the default document type icons.</para></sect3>
-
 <sect3><title>application-registry</title>
-<para><filename>application-registry</filename> contains the application mime database.</para></sect3>
+<para><filename>application-registry</filename> contains the application mime 
+database.</para></sect3>
 
 <sect3><title>mime-info</title>
-<para><filename>mime-info</filename> contains the mime description database.</para></sect3>
+<para><filename>mime-info</filename> contains the mime description 
+database.</para></sect3>
 
 </sect2>
 

Modified: trunk/BOOK/gnome/core/libbonobo.xml
===================================================================
--- trunk/BOOK/gnome/core/libbonobo.xml	2004-11-21 19:36:27 UTC (rev 2992)
+++ trunk/BOOK/gnome/core/libbonobo.xml	2004-11-22 19:27:40 UTC (rev 2993)
@@ -6,10 +6,10 @@
 
 <!ENTITY libbonobo-download-http "http://ftp.gnome.org/pub/GNOME/sources/libbonobo/2.6/libbonobo-&libbonobo-version;.tar.bz2">
 <!ENTITY libbonobo-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/libbonobo/2.6/libbonobo-&libbonobo-version;.tar.bz2">
-<!ENTITY libbonobo-size "1.1 MB">
-<!ENTITY libbonobo-buildsize "59 MB">
-<!ENTITY libbonobo-time "1.01 SBU">
-
+<!ENTITY libbonobo-md5sum "e3358680e50e69779535d126b1c56ee7">
+<!ENTITY libbonobo-size "1.4 MB">
+<!ENTITY libbonobo-buildsize "35.3 MB">
+<!ENTITY libbonobo-time "0.76 SBU">
 ]>
 
 <sect1 id="libbonobo" xreflabel="libbonobo-&libbonobo-version;">
@@ -26,7 +26,7 @@
 <para>The <application>libbonobo</application> package contains
 <filename class="libraryfile">libbonobo</filename> libraries. This is a
 component and compound document system for
-<application><acronym>GNOME</acronym></application>.</para>
+<application><acronym>GNOME</acronym>-2</application>.</para>
 
 <sect3><title>Package information</title>
 <itemizedlist spacing='compact'>
@@ -34,6 +34,7 @@
 url="&libbonobo-download-http;"/></para></listitem>
 <listitem><para>Download (FTP): <ulink
 url="&libbonobo-download-ftp;"/></para></listitem>
+<listitem><para>Download MD5 sum: &libbonobo-md5sum;</para></listitem>
 <listitem><para>Download size: &libbonobo-size;</para></listitem>
 <listitem><para>Estimated Disk space required:
 &libbonobo-buildsize;</para></listitem>
@@ -43,10 +44,15 @@
 
 <sect3><title><application>libbonobo</application> dependencies</title>
 <sect4><title>Required</title>
-<para><xref linkend="ORBit2"/> and <xref linkend="perl-modules"/>: XML
-Parser</para></sect4>
+<para><xref linkend="ORBit2"/>, 
+<xref linkend="libxml2"/> and 
+<xref linkend="perl-modules"/>: XML Parser</para>
+</sect4>
+
 <sect4><title>Optional</title>
-<para><xref linkend="gtk-doc"/></para></sect4>
+<para>X (<xref linkend="xfree86"/> or <xref linkend="xorg"/>) and 
+<xref linkend="gtk-doc"/></para>
+</sect4>
 </sect3>
 
 </sect2>
@@ -54,7 +60,8 @@
 <sect2>
 <title>Installation of <application>libbonobo</application></title>
 
-<para>Install <application>libbonobo</application> by running the following commands:</para>
+<para>Install <application>libbonobo</application> by running the following 
+commands:</para>
 
 <screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
     --libexecdir=`pkg-config --variable=prefix ORBit-2.0`/sbin \
@@ -67,12 +74,13 @@
 <sect2>
 <title>Command explanations</title>
 
-<para><parameter>--prefix=`pkg-config --variable=prefix
-ORBit-2.0`</parameter>: Setting the prefix with this command instead of
+<para><parameter>--prefix=`pkg-config --variable=prefix ORBit-2.0`</parameter>: 
+Setting the prefix with this command instead of
 with <envar>GNOME_PREFIX</envar> will ensure that the prefix is
 consistent with the installation environment.</para>
 
-<para><parameter>--libexecdir=`pkg-config --variable=prefix ORBit-2.0`/sbin</parameter>: This switch puts libexec files in 
+<para><parameter>--libexecdir=`pkg-config --variable=prefix 
+ORBit-2.0`/sbin</parameter>: This switch puts libexec files in 
 <filename class="directory">$GNOME_PREFIX/sbin</filename> instead of
 <filename class="directory">$GNOME_PREFIX/libexec</filename>.</para>
 
@@ -90,17 +98,25 @@
 <title>Contents</title>
 
 <para>The <application>libbonobo</application> package contains
-<filename class="libraryfile">libbonobo-2</filename> and
-<filename class="libraryfile">libbonobo-activation</filename>
-libraries.</para>
+<command>activation-client</command>, 
+<command>bonobo-slay</command>, 
+<command>echo-client-2</command>, 
+<command>bonobo-activation-run-query</command>, 
+<command>bonobo-activation-server</command>, 
+<command>bonobo-activation-sysconf</command>, 
+<filename class="libraryfile">libbonobo-2</filename> and 
+<filename class="libraryfile">libbonobo-activation</filename> libraries, 
+the <application><acronym>ORB</acronym>it-2</application> bonobo module and the 
+bonobo <filename class="libraryfile">libmoniker</filename> library.</para>
 
 </sect2>
 
 <sect2><title>Description</title>
 
 <sect3><title>libbonobo libraries</title>
-<para><filename class="libraryfile">libbonobo</filename> libraries are a set of language and system independent
-<acronym>CORBA</acronym> interfaces for creating reusable components and compound documents.</para></sect3>
+<para><filename class="libraryfile">libbonobo</filename> libraries are a set of 
+language and system independent <acronym>CORBA</acronym> interfaces for 
+creating reusable components and compound documents.</para></sect3>
 
 </sect2>
 

Modified: trunk/BOOK/gnome/core/orbit2.xml
===================================================================
--- trunk/BOOK/gnome/core/orbit2.xml	2004-11-21 19:36:27 UTC (rev 2992)
+++ trunk/BOOK/gnome/core/orbit2.xml	2004-11-22 19:27:40 UTC (rev 2993)
@@ -4,13 +4,12 @@
   <!ENTITY % general-entities SYSTEM "../../general.ent">
   %general-entities;
 
-<!ENTITY ORBit2-download-http
-"http://ftp.gnome.org/pub/GNOME/sources/ORBit2/2.10/ORBit2-&ORBit2-version;.tar.bz2">
-<!ENTITY ORBit2-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/ORBit2/2.10/ORBit2-&ORBit2-version;.tar.bz2">
-<!ENTITY ORBit2-size "632 KB">
-<!ENTITY ORBit2-buildsize "52.0 MB">
-<!ENTITY ORBit2-time "0.96 SBU">
-
+<!ENTITY ORBit2-download-http "http://ftp.gnome.org/pub/GNOME/sources/ORBit2/2.12/ORBit2-&ORBit2-version;.tar.bz2">
+<!ENTITY ORBit2-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/ORBit2/2.12/ORBit2-&ORBit2-version;.tar.bz2">
+<!ENTITY ORBit2-md5sum "d7f0c2b9bee73b89978a9968c10f81fe">
+<!ENTITY ORBit2-size "667 KB">
+<!ENTITY ORBit2-buildsize "31.8 MB">
+<!ENTITY ORBit2-time "0.66 SBU">
 ]>
 
 <sect1 id="ORBit2" xreflabel="ORBit2-&ORBit2-version;">
@@ -22,7 +21,8 @@
 <title>ORBit2-&ORBit2-version;</title>
 
 <sect2>
-<title>Introduction to <application><acronym>ORB</acronym>it2</application></title>
+<title>Introduction to 
+<application><acronym>ORB</acronym>it2</application></title>
 
 <para>The <application><acronym>ORB</acronym>it2</application> package
 contains a high-performance <acronym>CORBA</acronym> Object
@@ -35,6 +35,7 @@
 url="&ORBit2-download-http;"/></para></listitem>
 <listitem><para>Download (FTP): <ulink
 url="&ORBit2-download-ftp;"/></para></listitem>
+<listitem><para>Download MD5 sum: &ORBit2-md5sum;</para></listitem>
 <listitem><para>Download size: &ORBit2-size;</para></listitem>
 <listitem><para>Estimated Disk space required:
 &ORBit2-buildsize;</para></listitem>
@@ -42,19 +43,25 @@
 &ORBit2-time;</para></listitem></itemizedlist>
 </sect3>
 
-<sect3><title><application><acronym>ORB</acronym>it2</application> dependencies</title>
+<sect3><title><application><acronym>ORB</acronym>it2</application> 
+dependencies</title>
 <sect4><title>Required</title>
-<para><xref linkend="libIDL"/> and <xref linkend="popt"/></para></sect4>
+<para><xref linkend="libIDL"/> and <xref linkend="popt"/></para>
+</sect4>
+
 <sect4><title>Optional</title>
-<para><xref linkend="gtk-doc"/> and <xref linkend="openssl"/></para></sect4>
+<para><xref linkend="gtk-doc"/> and <xref linkend="openssl"/></para>
+</sect4>
 </sect3>
 
 </sect2>
 
 <sect2>
-<title>Installation of <application><acronym>ORB</acronym>it2</application></title>
+<title>Installation of 
+<application><acronym>ORB</acronym>it2</application></title>
 
-<para>Install <application><acronym>ORB</acronym>it2</application> by running the following commands:</para>
+<para>Install <application><acronym>ORB</acronym>it2</application> by running 
+the following commands:</para>
 
 <screen><userinput><command>./configure --prefix=$GNOME_PREFIX --sysconfdir=/etc/gnome &&
 make &&
@@ -66,7 +73,7 @@
 <title>Command explanations</title>
 
 <para><parameter>--prefix=$GNOME_PREFIX</parameter>: This is the Base
-installation for <application>GNOME</application> from which all future
+installation for <application>GNOME-2</application> from which all future
 installations will receive their prefix parameter.  Be sure that 
 <envar>GNOME_PREFIX</envar> is set for this install or globally to your
 install directory as described in the introduction of this Section.</para>
@@ -81,11 +88,18 @@
 <sect2>
 <title>Contents</title>
 
-<para>The <application><acronym>ORB</acronym>it2</application> package
-contains
-<filename class="libraryfile">libORBit-2</filename>,
-<filename class="libraryfile">libORBitCosNaming-2</filename> and
-<filename class="libraryfile">libORBit-imodule-2</filename>
+<para>The <application><acronym>ORB</acronym>it2</application> package contains 
+<command>ior-decode-2</command>, 
+<command>linc-cleanup-sockets</command>, 
+<command>orbit-idl-2</command>, 
+<command>orbit2-config</command>, 
+<command>typelib-dump</command>, 
+<filename class="libraryfile">libORBit-2</filename>, 
+<filename class="libraryfile">libORBitCosNaming-2</filename>, 
+<filename class="libraryfile">libORBit-imodule-2</filename>, 
+<filename class='libraryfile'>libname-server-2</filename> and the 
+<application><acronym>ORB</acronym>it2</application> 
+<filename class='libraryfile'>Everything_module</filename>
 libraries.</para>
 
 </sect2>
@@ -93,8 +107,8 @@
 <sect2><title>Description</title>
 
 <sect3><title>libORBit-2</title>
-<para><filename class="libraryfile">libORBit-2</filename> is the <acronym>CORBA</acronym>
-<acronym>API</acronym>.</para></sect3>
+<para><filename class="libraryfile">libORBit-2</filename> is the 
+<acronym>CORBA</acronym> <acronym>API</acronym>.</para></sect3>
 
 </sect2>
 

Modified: trunk/BOOK/introduction/welcome/changelog.xml
===================================================================
--- trunk/BOOK/introduction/welcome/changelog.xml	2004-11-21 19:36:27 UTC (rev 2992)
+++ trunk/BOOK/introduction/welcome/changelog.xml	2004-11-22 19:27:40 UTC (rev 2993)
@@ -22,6 +22,9 @@
 
 <itemizedlist>
 
+<listitem><para>November 22nd, 2004 [randy]: Updated to ORBit2-2.12.0, 
+libbonobo-2.8.0, GConf-2.8.1, GNOME-MIME-Data-2.4.1.</para></listitem>
+
 <listitem><para>November 21st, 2004 [igor]: Applied a bunch of fixes to
 XScreenSaver, contributed by Randy.</para></listitem>
 




More information about the blfs-book mailing list